QGIS Application - Bug report #19702
Opening WFS in QGIS 3.2.2
2018-08-27 07:49 AM - Robert Richardson

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 27527
Description

Layers from WFS server http://www.mrt.tas.gov.au/web-services/wfs can each be opened OK in QGIS 2.18.14 but in QGIS 3.2.2 give
errors and do not open.

History

#1 - 2018-08-28 01:43 AM - Nyall Dawson
- Status changed from Open to Feedback

Works ok for me, if | turn off the "Only request features overlapping the view extent" option. Can you confirm?

#2 - 2018-08-28 05:43 AM - Robert Richardson
- Assignee set to Robert Richardson

Hi Nyall

I've tried deleting this WFS service and then adding it using Layer - Data Source Manager with the "Only request features overlapping the view extent"
option not ticked. | am still having the same problem with the individual layers giving errors when each is opened. The error is generally similar to "Layer
Airborne Geophysical Surveys of Tasmania (Mineral Resources Tasmania): Download of features for layer mrtwfs:AirborneSurveys failed or partially
failed: Server generated an exception in GetFeature response: org.opengis.referencing.NoSuchAuthorityCodeException: No authority was defined for code
" Did you forget "AUTHORITY:NUMBER"? No authority was defined for code "". Did you forget "AUTHORITY:NUMBER"?. You may attempt reloading
the layer with F5".

#3 - 2018-08-29 12:22 AM - Robert Richardson
- Assignee changed from Robert Richardson to Nyall Dawson

Hi Nyall
My apologies for not setting the assignee correctly yesterday. Please see my comments above. | think | need to come up with a simple example so you can
see the basic project | am trying to ad the layers to.

#4 - 2018-08-29 04:30 PM - Giovanni Manghi

- File Screenshot 20180829 152729.png added
- Assignee deleted (Nyall Dawson)

- File Screenshot 20180829 152718.png added
http://www.mrt.tas.gov.au/web-services/wfs

Robert Richardson wrote:

Hi Nyall
My apologies for not setting the assignee correctly yesterday. Please see my comments above. | think | need to come up with a simple example so
you can see the basic project | am trying to ad the layers to.

see attached images: there is something fishy (in the server configuration) about how the layers CRS's are advertised. Compare to how other services look
like (in QGIS).

#5 - 2018-08-31 06:11 AM - Robert Richardson

I've successfully contacted the WFS provider (mrt.tas.gov.au) who had previously found a workaround for QGIS after other users had this same problem -

the WFS version must be set to 1.0 not Auto. The same problem appears to apply to just about all the WFS servers for the Australian Geological

Organisations listed here: http://www.geoscience.gov.au/web-services. I've been retired for about 6 years but it is possible that all these organisations are

running versions of GeoServer that include support for GeoSciML.

A quick test showed that these services were OK with Gaia 3 but this appears to default to WFS version 1.0.

#6 - 2018-08-31 10:19 AM - Giovanni Manghi

Robert Richardson wrote:

I've successfully contacted the WFS provider (mrt.tas.gov.au) who had previously found a workaround for QGIS after other users had this same

problem - the WFS version must be set to 1.0 not Auto. The same problem appears to apply to just about all the WFS servers for the Australian
Geological Organisations listed here: http.//www.geoscience.gov.au/web-services. I've been retired for about 6 years but it is possible that all these

organisations are running versions of GeoServer that include support for GeoSciML.

A quick test showed that these services were OK with Gaia 3 but this appears to default to WFS version 1.0.

forcing the connection to 1.0 and the layers CRS's show as expected and layers are loaded.

#7 - 2019-02-23 08:37 PM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.
